com.ihr.xbrl.om.approps

## Class XBRLAppPropsProcessor

- java.lang.Object
- - com.ihr.xbrl.om.approps.XBRLAppPropsProcessor

- All Implemented Interfaces:
    XBRLCompilableProcessor, XBRLPlugInProcessor

      public class XBRLAppPropsProcessor
      extends java.lang.Object
      implements XBRLCompilableProcessor

  This processor does not validate anything. It just collects properties in a properties resource in the DTS. The properties can be used to configure different parts of the XBRL Processor or GUI tools. Property handler processors may be added to this processor
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AppPropsNS` The Constant AppPropsNS.
    `static java.lang.String` | `AppPropsURL` The Constant AppPropsURL.
    `static javax.xml.namespace.QName` | `key` The Constant key.
    `static java.lang.String` | `PROCESSORNAME` The Constant PROCESSORNAME.
    `static javax.xml.namespace.QName` | `propertyNodeName` The Constant propertyNodeName.
    `static javax.xml.namespace.QName` | `resource` The Constant resource.
    `static javax.xml.namespace.QName` | `value` The Constant value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Called when the DTSContainer's clear method is called.
    `XBRLValidationReport` | `compileResources()` Compile resources.
    `void` | `configure(java.util.Properties properties)` Configures the processor according with the properties passed in in the properties parameter.
    `static XBRLPlugInProcessor` | `create(DTSContainer dts)` Creates the.
    `void` | `freeUnnecessary()` Liberates resources no longer needed.
    `java.lang.String` | `getDescription()` Returns the processor description so it can be written in validation reports.
    `static java.lang.String` | `getDescriptionStatic()` Gets the description static.
    `java.lang.String` | `getName()` Returns the processor name so it can be written in validation reports.
    `java.util.Properties` | `getProperties()` Gets the properties.
    `boolean` | `isHidden()` A hidden processor will not pop-up in the GUI tabs.
    `XBRLValidationReport` | `validate()` Validates the content of the DTS according to the rules indicated in this plug-in processor.
    `XBRLValidationReport` | `validate(XBRLDocument xDocument)` Validates the document according to the rules indicated in this plug-in processor.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROCESSORNAME

          public static final java.lang.String PROCESSORNAME

      The Constant PROCESSORNAME.
      See Also:
        Constant Field Values

    - #### AppPropsNS

          public static final java.lang.String AppPropsNS

      The Constant AppPropsNS.
      See Also:
        Constant Field Values

    - #### AppPropsURL

          public static final java.lang.String AppPropsURL

      The Constant AppPropsURL.
      See Also:
        Constant Field Values

    - #### resource

          public static final javax.xml.namespace.QName resource

      The Constant resource.

    - #### propertyNodeName

          public static final javax.xml.namespace.QName propertyNodeName

      The Constant propertyNodeName.

    - #### key

          public static final javax.xml.namespace.QName key

      The Constant key.

    - #### value

          public static final javax.xml.namespace.QName value

      The Constant value.

  - ### Method Detail

    - #### validate

          public XBRLValidationReport validate()

      Description copied from interface: `XBRLPlugInProcessor`
      Validates the content of the DTS according to the rules indicated in this plug-in processor.

      This is the method that is called by the DTSContainer on each XBRLPlugInProcessor when the validation() method is called on the DTSContainer instance.

      Specified by:
        `validate` in interface `XBRLPlugInProcessor`
      Returns:
        an XBRLValidationReport object `XBRLValidationReport`

    - #### validate

          public XBRLValidationReport validate(XBRLDocument xDocument)

      Description copied from interface: `XBRLPlugInProcessor`
      Validates the document according to the rules indicated in this plug-in processor.
      Specified by:
        `validate` in interface `XBRLPlugInProcessor`
      Parameters:
        `xDocument` - the x document
      Returns:
        an XBRLValidationReport object `XBRLValidationReport`

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `XBRLPlugInProcessor`
      Returns the processor name so it can be written in validation reports.
      Specified by:
        `getName` in interface `XBRLPlugInProcessor`
      Returns:
        the name

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from interface: `XBRLPlugInProcessor`
      Returns the processor description so it can be written in validation reports.
      Specified by:
        `getDescription` in interface `XBRLPlugInProcessor`
      Returns:
        the description

    - #### getDescriptionStatic

          public static java.lang.String getDescriptionStatic()

      Gets the description static.
      Returns:
        the description static

    - #### configure

          public void configure(java.util.Properties properties)

      Description copied from interface: `XBRLPlugInProcessor`
      Configures the processor according with the properties passed in in the properties parameter.
      Specified by:
        `configure` in interface `XBRLPlugInProcessor`
      Parameters:
        `properties` - the properties

    - #### isHidden

          public boolean isHidden()

      Description copied from interface: `XBRLPlugInProcessor`
      A hidden processor will not pop-up in the GUI tabs.
      Specified by:
        `isHidden` in interface `XBRLPlugInProcessor`
      Returns:
        true if processor is hidden. False if the processor has a GUI

    - #### clear

          public void clear()

      Description copied from interface: `XBRLPlugInProcessor`
      Called when the DTSContainer's clear method is called. Shall clean up resources and empty tables.
      Specified by:
        `clear` in interface `XBRLPlugInProcessor`

    - #### create

          public static XBRLPlugInProcessor create(DTSContainer dts)

      Creates the.
      Parameters:
        `dts` - the dts
      Returns:
        the XBRL plug in processor

    - #### compileResources

          public XBRLValidationReport compileResources()

      Description copied from interface: `XBRLCompilableProcessor`
      Compile resources.
      Specified by:
        `compileResources` in interface `XBRLCompilableProcessor`
      Returns:
        the XBRL validation report

    - #### freeUnnecessary

          public void freeUnnecessary()
                               throws com.rs.lic.LicenseVerificationException,
                                      XBRLValidationException

      Description copied from interface: `XBRLCompilableProcessor`
      Liberates resources no longer needed.
      Specified by:
        `freeUnnecessary` in interface `XBRLCompilableProcessor`
      Throws:
        `com.rs.lic.LicenseVerificationException` - the license verification exception
        `XBRLValidationException` - the XBRL validation exception

    - #### getProperties

          public java.util.Properties getProperties()

      Gets the properties.
      Returns:
        the properties